View Issue Details

IDProjectCategoryView StatusLast Update
0017416LazarusIDEpublic2011-12-01 11:24
ReporterJon Lennart AasendenAssigned ToZeljan Rikalo 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017416: Adding “Schemes” to synEdit crashes Lazarus
DescriptionI dropped an instance of synEdit on the default mainform. Then i added a pascal highlighter and a multisyn component. I connected the pascal highlighter to the multisyn component - and the multisyn component to the synEDIT control.

I then located the schemes property of the multisyn component, clicked the property (which opens up the object editor). If you click add on this editor Lazarus crashes with an Privileged Instruction exception.

The same error exists on both Mac and Windows
Additional InformationSee image of bug here: http://delphimax.files.wordpress.com/2010/09/laz_error.gif
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Activities

Juha Manninen

2010-09-15 11:24

developer   ~0041100

Does it happen also with the latest development version, 0.9.29?

Zeljan Rikalo

2010-09-21 08:35

developer   ~0041256

Fixed during 0.9.29. Tested with r 27423.
If you still have problems with r >= 27243 please attache complete example of problem.

Issue History

Date Modified Username Field Change
2010-09-15 10:37 Jon Lennart Aasenden New Issue
2010-09-15 10:37 Jon Lennart Aasenden Widgetset => Carbon
2010-09-15 11:24 Juha Manninen LazTarget => -
2010-09-15 11:24 Juha Manninen Note Added: 0041100
2010-09-15 11:24 Juha Manninen Status new => feedback
2010-09-21 08:35 Zeljan Rikalo Status feedback => resolved
2010-09-21 08:35 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2010-09-21 08:35 Zeljan Rikalo Resolution open => fixed
2010-09-21 08:35 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-09-21 08:35 Zeljan Rikalo Note Added: 0041256
2011-12-01 11:24 Marc Weustink Status resolved => closed